Organizational Units
Create organizational unit client
Creates a client and links it to an organizational unit.
POST
/
v1
/
public
/
organizational-units
/
{id}
/
clients
Create organizational unit client
curl --request POST \
--url https://api.agile-tools.io/v1/public/organizational-units/{id}/clients \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer"
}
'import requests
url = "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients"
payload = {
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Deluxe Motion Partner', description: 'Strategic enterprise customer'})
};
fetch('https://api.agile-tools.io/v1/public/organizational-units/{id}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Deluxe Motion Partner',
'description' => 'Strategic enterprise customer'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients"
payload := strings.NewReader("{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "8f2f1f3a-4f41-4a38-a2cb-3670e2f34635",
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer",
"taxId": "SI12345678",
"primaryContactName": "Calvin Tyler Osborne"
},
"meta": {
"requestId": "be6c0eac-9f33-4fe0-9209-2f40b01f0f34",
"timestamp": "2026-04-22T11:10:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Body
application/json
Create client payload.
⌘I
Create organizational unit client
curl --request POST \
--url https://api.agile-tools.io/v1/public/organizational-units/{id}/clients \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer"
}
'import requests
url = "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients"
payload = {
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Deluxe Motion Partner', description: 'Strategic enterprise customer'})
};
fetch('https://api.agile-tools.io/v1/public/organizational-units/{id}/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Deluxe Motion Partner',
'description' => 'Strategic enterprise customer'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients"
payload := strings.NewReader("{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Deluxe Motion Partner\",\n \"description\": \"Strategic enterprise customer\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": "8f2f1f3a-4f41-4a38-a2cb-3670e2f34635",
"name": "Deluxe Motion Partner",
"description": "Strategic enterprise customer",
"taxId": "SI12345678",
"primaryContactName": "Calvin Tyler Osborne"
},
"meta": {
"requestId": "be6c0eac-9f33-4fe0-9209-2f40b01f0f34",
"timestamp": "2026-04-22T11:10:00Z"
}
}
